<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Filter tabs and allow third parties to add their own
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>

	<div class="product-tabs">
	<div class="tab-box">
		<ul class="nav nav-tabs" id="myTab">
			<?php $i=1; foreach ( $tabs as $key => $tab ) : ?>

				<li class="<?php echo esc_attr($key); ?>_tab <?php if($i==1){ echo "active"; } ?>">
					<a href="#tab-<?php echo esc_attr($key); ?>" data-toggle="tab"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', $tab['title'], $key ) ?></a>
				</li>

			<?php $i++; endforeach; ?>
		</ul>
		<div class="tab-content">
		<?php $j=1; foreach ( $tabs as $key => $tab ) : ?>

			<div class="tab-pane <?php if($j==1){ echo "active"; } ?>" id="tab-<?php echo esc_attr($key); ?>">
				<?php call_user_func( $tab['callback'], $key, $tab ) ?>
			</div>

		<?php $j++; endforeach; ?>
		</div>
	</div>
	</div>

<?php endif; ?>